xml_alias_t Struct Reference
Collaboration diagram for xml_alias_t:
[legend]

## Data Fields

membuffer | name
membuffer | doc
time_t | last_modified
int * | ct

## Field Documentation

## ct

int* xml_alias_t::ct

Referenced by glob_alias_init(), and web_server_set_alias().

## doc

membuffer xml_alias_t::doc

the XML document contents

Referenced by get_alias(), glob_alias_init(), is_valid_alias(), and web_server_set_alias().

## last_modified

time_t xml_alias_t::last_modified

Referenced by glob_alias_init(), and web_server_set_alias().

## name

membuffer xml_alias_t::name

name of DOC from root; e.g.: /foo/bar/mydesc.xml

Referenced by get_alias(), glob_alias_init(), and web_server_set_alias().

The documentation for this struct was generated from the following file:

- upnp/src/genlib/net/http/webserver.c